Bug 239625 - x11-wm/fvwm-crystal: Applications menues disappeared after build with python 3.6
Summary: x11-wm/fvwm-crystal: Applications menues disappeared after build with python 3.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-03 19:56 UTC by Walter Schwarzenfeld
Modified: 2019-08-21 20:17 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
svn-diff-fvwm-crystal (640 bytes, patch)
2019-08-03 19:58 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-fvwm-crystal_v2 (1.48 KB, patch)
2019-08-12 10:11 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-fvwm-crystal_v3 (1.30 KB, patch)
2019-08-12 10:21 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-fvwm-crystal_v4 (1.16 KB, patch)
2019-08-12 16:33 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-crystal_3.4.1 (4.30 KB, patch)
2019-08-14 21:50 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-crystal_3.4.1_v2 (177.88 KB, patch)
2019-08-14 22:02 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-crystal_3.4.1_v3 (178.13 KB, patch)
2019-08-14 22:09 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2019-08-03 19:56:48 UTC
I damaged fvwm-crystal and build it new, also tried packages.
After change of the default version of python to 3.6 it is lost all application menues. Makefile has USES=python, so it used the default version (3.6). I rebuild it with USES=python:2.7 and it worked again.

Please, change it to USES=python:2.7.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-03 19:58:58 UTC
Created attachment 206252 [details]
svn-diff-fvwm-crystal
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-12 08:15:28 UTC
There a some newer versions (MASTER_SITES change?)

https://sourceforge.net/projects/fvwm-crystal/files/?source=navbar
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-08-12 10:11:00 UTC
Created attachment 206470 [details]
svn-diff-fvwm-crystal_v2

Change MASTER_SITES.
Comment 4 Walter Schwarzenfeld freebsd_triage 2019-08-12 10:21:35 UTC
Created attachment 206471 [details]
svn-diff-fvwm-crystal_v3

Attached wrong version of svn-diff.
Comment 5 Kurt Jaeger freebsd_committer 2019-08-12 16:16:46 UTC
diff v3 has 3.0.6 in the Makefile and 3.4.1 in the distinfo. Please re-check.
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-08-12 16:33:10 UTC
Created attachment 206477 [details]
svn-diff-fvwm-crystal_v4
Comment 7 Walter Schwarzenfeld freebsd_triage 2019-08-14 21:50:56 UTC
Created attachment 206562 [details]
svn-diff-crystal_3.4.1

Alternative update patch to 3.4.1

ChangeLog

Version 3.4.1
-------------

mercredi 6 janvier 2016
+ preferences/AutoHibernation,
  desktop/FVWM-Crystal_Preferences, functions/Exit, scripts/AutoHibernate: make the automatic
  hibernation to also work as a preference setting.
  functions/About, NEWS: version 3.4.1

mardi 5 janvier 2016
+ components/scripts/FvwmScript-Clock-24h, FvwmScript-Clock-24h-small_date, FvwmScript-Clock-small_date:
  reverted commit 721

Full ChangeLog
/usr/local/share/doc/fvwm-crystal-3.4.1/ChangeLog
Comment 8 Walter Schwarzenfeld freebsd_triage 2019-08-14 22:02:56 UTC
Created attachment 206563 [details]
svn-diff-crystal_3.4.1_v2

Removed double listings in pkg-plist.
Comment 9 Walter Schwarzenfeld freebsd_triage 2019-08-14 22:09:30 UTC
Created attachment 206564 [details]
svn-diff-crystal_3.4.1_v3

Add a pathfix.
Comment 10 Walter Schwarzenfeld freebsd_triage 2019-08-15 04:38:16 UTC
Btw, a version for python3 will released in next or after next version.
Comment 11 Kurt Jaeger freebsd_committer 2019-08-21 19:03:27 UTC
Committed,thanks!
Comment 12 commit-hook freebsd_committer 2019-08-21 19:04:03 UTC
A commit references this bug:

Author: pi
Date: Wed Aug 21 19:03:01 UTC 2019
New revision: 509525
URL: https://svnweb.freebsd.org/changeset/ports/509525

Log:
  x11-wm/fvwm-crystal: force python to 2.7, change MASTER_SITE

  PR:		239625
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Approved by:	giacomomariani@yahoo.it (maintainer timeout)

Changes:
  head/x11-wm/fvwm-crystal/Makefile
  head/x11-wm/fvwm-crystal/distinfo
Comment 13 Kurt Jaeger freebsd_committer 2019-08-21 19:33:03 UTC
The 3.4.1 version has portlint-issues. Testbuilds@work
Comment 14 commit-hook freebsd_committer 2019-08-21 19:46:08 UTC
A commit references this bug:

Author: pi
Date: Wed Aug 21 19:46:05 UTC 2019
New revision: 509552
URL: https://svnweb.freebsd.org/changeset/ports/509552

Log:
  x11-wm/fvwm-crystal: upgrade 3.0.6 -> 3.4.1

  - update WWW to SF
  - no longer limited to python2.x

  PR:		239625
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Approved by:	giacomomariani@yahoo.it (maintainer timeout)
  Relnotes:	https://sourceforge.net/p/fvwm-crystal/code/HEAD/tree/ChangeLog

Changes:
  head/x11-wm/fvwm-crystal/Makefile
  head/x11-wm/fvwm-crystal/distinfo
  head/x11-wm/fvwm-crystal/files/patch-Makefile
  head/x11-wm/fvwm-crystal/files/patch-bin_fvwm-crystal.apps
  head/x11-wm/fvwm-crystal/pkg-plist
Comment 15 commit-hook freebsd_committer 2019-08-21 19:47:09 UTC
A commit references this bug:

Author: pi
Date: Wed Aug 21 19:46:39 UTC 2019
New revision: 509553
URL: https://svnweb.freebsd.org/changeset/ports/509553

Log:
  x11-wm/fvwm-crystal: really update WWW

  PR:		239625

Changes:
  head/x11-wm/fvwm-crystal/pkg-descr
Comment 16 Kurt Jaeger freebsd_committer 2019-08-21 19:48:02 UTC
Committed with some cleanups, thanks!
Comment 17 commit-hook freebsd_committer 2019-08-21 20:17:14 UTC
A commit references this bug:

Author: pi
Date: Wed Aug 21 20:16:48 UTC 2019
New revision: 509557
URL: https://svnweb.freebsd.org/changeset/ports/509557

Log:
  x11-wm/fvwm-crystal: ups, still needs python2.7

  PR:		239625
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>

Changes:
  head/x11-wm/fvwm-crystal/Makefile